
import artistlib.hardware
from ..base_hardware_service import BaseHardwareInterfaceService, AquireProjection, ReachabilityCheck
from rq_controller.common import PyProjection


import ros2_numpy
import numpy as np
from pathlib import Path

from sensor_msgs.msg import Image

import rclpy

class ThdRoboCTHardwareInterface(BaseHardwareInterfaceService):
    interface_type: str = 'THD'

    def __init__(self, node_name: str = 'rq_hardware_interface_service'):

        super().__init__(node_name)

    def aquire_projection_callback(self, 
                                   request: AquireProjection.Request,
                                   response: AquireProjection.Response):
        pass

    def check_reachability_callback(self,
                                    request: ReachabilityCheck.Request,
                                    response: ReachabilityCheck.Response):
        pass


def main(args=None):
    rclpy.init(args=args)

    minimal_service = ThdRoboCTHardwareInterface()

    rclpy.spin(minimal_service)
    rclpy.shutdown()


if __name__ == '__main__':
    main()
